package rip.iwakura.civilcore.commands;

import java.sql.SQLException;

import org.bukkit.Bukkit;
import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;
import org.bukkit.event.player.PlayerEvent;

import net.md_5.bungee.api.ChatColor;
import rip.iwakura.civilcore.Utils;
import rip.iwakura.civilcore.CivilCore;
import rip.iwakura.civilcore.types.DbPlayer;
import rip.iwakura.civilcore.types.Team;

public class TeamChatCommand implements CommandExecutor {
  private CivilCore civilCore = null;

  public TeamChatCommand(CivilCore civilCore) {
    this.civilCore = civilCore;
  }

  @Override
  public boolean onCommand(CommandSender sender, Command command, String label, String[] args) {
    args = Utils.parser(args).toArray(new String[0]);

    if (!(sender instanceof Player)) return true;

    Player p = (Player) sender;

    if (civilCore.teamChatRegister.contains(p)) {
      civilCore.teamChatRegister.remove(p);
      p.sendMessage(ChatColor.RED + "Team chat has been disabled.");
      return true;
    }

    if (civilCore.db.getPlayerByName(p.getName()).team.name == null) {
      p.sendMessage(ChatColor.RED + "You aren't in a team :(");
      return true;
    }
    civilCore.teamChatRegister.add(p);
    p.sendMessage(ChatColor.GREEN + "Team chat has been enabled.");

    return true;
  }
}
